<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Send_NextStop StructType
 * @subpackage Structs
 */
class Send_NextStop extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The NextStop
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\NextStopInsert
     */
    public $NextStop;
    /**
     * Constructor method for Send_NextStop
     * @uses Send_NextStop::setLogin()
     * @uses Send_NextStop::setNextStop()
     * @param \StructType\Login $login
     * @param \StructType\NextStopInsert $nextStop
     */
    public function __construct(\StructType\Login $login = null, \StructType\NextStopInsert $nextStop = null)
    {
        $this
            ->setLogin($login)
            ->setNextStop($nextStop);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Send_NextStop
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get NextStop value
     * @return \StructType\NextStopInsert|null
     */
    public function getNextStop()
    {
        return $this->NextStop;
    }
    /**
     * Set NextStop value
     * @param \StructType\NextStopInsert $nextStop
     * @return \StructType\Send_NextStop
     */
    public function setNextStop(\StructType\NextStopInsert $nextStop = null)
    {
        $this->NextStop = $nextStop;
        return $this;
    }
}
